Bundles
Bundles of resources, per organization or inventory.
16 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the organization bundles
/api/v1/account/organizations/{id}/bundles
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 100 Min: 1 Max: 100 -
integration_idstring<uuid>Only bundles of this integration. -
environmentstringOnly bundles of this environment. -
tagsarray[string]Only bundles with these tags.
Response 200 OK application/json
-
itemsarray[object]-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
],
"total": 0
}Create an organization bundle
/api/v1/account/organizations/{id}/bundles
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
auto_createboolean -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
integration_idstring<uuid> -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string]
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
]
}'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Create an organization bundle from a form
/api/v1/account/organizations/{id}/bundles/form
Path parameters
-
idstring required
Request body application/json required
-
auto_createboolean -
configurationmap[any] -
environmentstring nullable -
integration_idstring<uuid> -
protocolstring -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string] -
typestring
Response 200 OK application/json
-
configurationmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles/form' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"configuration": {
"key": {}
},
"environment": "string",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string"
}'Response 200
{
"configuration": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Get an organization bundle
/api/v1/account/organizations/{id}/bundles/{bundle_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
bundle_idstring required
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles/{bundle_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Update an organization bundle
/api/v1/account/organizations/{id}/bundles/{bundle_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
bundle_idstring required
Request body application/json required
-
auto_createboolean -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
integration_idstring<uuid> -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string]
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles/{bundle_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
]
}'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Delete an organization bundle
/api/v1/account/organizations/{id}/bundles/{bundle_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
bundle_idstring required
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles/{bundle_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}Get an organization bundle as form data
/api/v1/account/organizations/{id}/bundles/{bundle_id}/form
Path parameters
-
idstring required -
bundle_idstring required
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] -
created_atstring<date-time> -
environmentstring nullable -
idstring<uuid> -
integration_idstring<uuid> -
inventory_idstring<uuid> -
organization_idstring<uuid> -
protocolstring -
resource_classesarray[string] -
resource_subclassesarray[string] -
schemaobject-
bundle_fieldsmap[object] nullable-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
initialmap[any] -
schemamap[any] -
schemestring
-
-
tagsarray[string] -
typestring -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles/{bundle_id}/form' \
-H 'Authorization: Bearer <badge>'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"schema": {
"bundle_fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"initial": {
"key": {}
},
"schema": {
"key": {}
},
"scheme": "string"
},
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Update an organization bundle from a form
/api/v1/account/organizations/{id}/bundles/{bundle_id}/form
Path parameters
-
idstring required -
bundle_idstring required
Request body application/json required
-
auto_createboolean -
configurationmap[any] -
environmentstring nullable -
integration_idstring<uuid> -
protocolstring -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string] -
typestring
Response 200 OK application/json
-
configurationmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/bundles/{bundle_id}/form' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"configuration": {
"key": {}
},
"environment": "string",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string"
}'Response 200
{
"configuration": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}List the inventory bundles
/api/v1/bundles/inventories/{inventory_id}
Path parameters
-
inventory_idstring required
Query parameters
-
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 100 Min: 1 Max: 100 -
integration_idstring<uuid>Only bundles of this integration. -
environmentstringOnly bundles of this environment. -
tagsarray[string]Only bundles with these tags.
Response 200 OK application/json
-
itemsarray[object]-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
inventory_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
],
"total": 0
}Create an inventory bundle
/api/v1/bundles/inventories/{inventory_id}
Path parameters
-
inventory_idstring required
Request body application/json required
-
auto_createboolean -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
integration_idstring<uuid> -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string]
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
inventory_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
]
}'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Create an inventory bundle from a form
/api/v1/bundles/inventories/{inventory_id}/form
Path parameters
-
inventory_idstring required
Request body application/json required
-
auto_createboolean -
configurationmap[any] -
environmentstring nullable -
integration_idstring<uuid> -
protocolstring -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string] -
typestring
Response 200 OK application/json
-
configurationmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}/form' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"configuration": {
"key": {}
},
"environment": "string",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string"
}'Response 200
{
"configuration": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Get an inventory bundle
/api/v1/bundles/inventories/{inventory_id}/{bundle_id}
Path parameters
-
inventory_idstring required -
bundle_idstring required
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
inventory_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}/{bundle_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Update an inventory bundle
/api/v1/bundles/inventories/{inventory_id}/{bundle_id}
Path parameters
-
inventory_idstring required -
bundle_idstring required
Request body application/json required
-
auto_createboolean -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
integration_idstring<uuid> -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string]
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] nullable -
created_atstring<date-time> -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integration_idstring<uuid> -
inventory_idstring<uuid> -
organization_idstring<uuid> -
protocolstring nullable -
resource_classesarray[string] -
resource_subclassesarray[string] -
tagsarray[string] -
typestring nullable -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}/{bundle_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
]
}'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Delete an inventory bundle
/api/v1/bundles/inventories/{inventory_id}/{bundle_id}
Path parameters
-
inventory_idstring required -
bundle_idstring required
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}/{bundle_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}Get an inventory bundle as form data
/api/v1/bundles/inventories/{inventory_id}/{bundle_id}/form
Path parameters
-
inventory_idstring required -
bundle_idstring required
Response 200 OK application/json
-
auto_createboolean -
configurationmap[any] -
created_atstring<date-time> -
environmentstring nullable -
idstring<uuid> -
integration_idstring<uuid> -
inventory_idstring<uuid> -
organization_idstring<uuid> -
protocolstring -
resource_classesarray[string] -
resource_subclassesarray[string] -
schemaobject-
bundle_fieldsmap[object] nullable-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
initialmap[any] -
schemamap[any] -
schemestring
-
-
tagsarray[string] -
typestring -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}/{bundle_id}/form' \
-H 'Authorization: Bearer <badge>'Response 200
{
"auto_create": true,
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"schema": {
"bundle_fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"initial": {
"key": {}
},
"schema": {
"key": {}
},
"scheme": "string"
},
"tags": [
"string"
],
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Update an inventory bundle from a form
/api/v1/bundles/inventories/{inventory_id}/{bundle_id}/form
Path parameters
-
inventory_idstring required -
bundle_idstring required
Request body application/json required
-
auto_createboolean -
configurationmap[any] -
environmentstring nullable -
integration_idstring<uuid> -
protocolstring -
resource_classesarray[string] nullable -
resource_subclassesarray[string] nullable -
tagsarray[string] -
typestring
Response 200 OK application/json
-
configurationmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/bundles/inventories/{inventory_id}/{bundle_id}/form' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"auto_create": true,
"configuration": {
"key": {}
},
"environment": "string",
"integration_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"protocol": "string",
"resource_classes": [
"string"
],
"resource_subclasses": [
"string"
],
"tags": [
"string"
],
"type": "string"
}'Response 200
{
"configuration": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}